=== debian/changelog ===
conky (1.20.2-1) unstable; urgency=medium

  * New upstream release.
    - Add build-dep on gperf and libpango1.0-dev.
  * Drop obsolete build flags in d/rules. (Closes: #1064073)

 -- Vincent Cheng <vcheng@debian.org>  Sun, 28 Apr 2024 17:47:36 -0700

conky (1.20.1-1) unstable; urgency=medium

  * New upstream release.
  * Update standards version to 4.7.0, no changes needed.

 -- Vincent Cheng <vcheng@debian.org>  Tue, 23 Apr 2024 16:39:14 -0700
