=== debian/control ===
Source: conky
Section: utils
Priority: optional
Maintainer: Vincent Cheng <vcheng@debian.org>
Build-Depends:
 audacious-dev,
 cmake,
 debhelper-compat (= 13),
 gawk,
 gperf,
 lcov,
 libaudclient-dev,
 libcairo2-dev,
 libcurl4-gnutls-dev | libcurl4-dev,
 libdbus-glib-1-dev,
 libdevstat-dev [kfreebsd-any],
 libglib2.0-dev,
 libical-dev,
 libimlib2-dev,
 libircclient-dev,
 libiw-dev [linux-any],
 libkvm-dev [kfreebsd-any],
 liblua5.3-dev,
 libncurses-dev,
 libpango1.0-dev,
 libpulse-dev,
 librsvg2-dev (>= 2.52),
 libsystemd-dev [linux-any],
 libtool,
 libwayland-dev,
 libx11-dev,
 libxdamage-dev,
 libxext-dev,
 libxft-dev,
 libxml2-dev,
 libxnvctrl-dev [i386 amd64] | nvidia-settings [i386 amd64],
 pandoc,
 pkg-config,
 python3-jinja2,
 python3-yaml,
 wayland-protocols
Homepage: https://github.com/brndnmtthws/conky
Standards-Version: 4.7.0
Vcs-Git: https://salsa.debian.org/debian/conky.git
Vcs-Browser: https://salsa.debian.org/debian/conky
Rules-Requires-Root: no

Package: conky-std
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends}
Suggests: apcupsd, audacious, moc, mpd
Conflicts: conky-all, conky-cli
Replaces: conky-all, conky-cli
Provides: conky
Description: highly configurable system monitor (default version)
 Conky is a system monitor that can display just about anything,
 either on your root desktop or in its own window.
 Conky has many built-in objects, as well as the ability to execute
 external programs or scripts (either external or through built-in
 Lua support).
 .
 This package should be a good compromise for most users that do not
 need special features.
 It includes the following support:
 .
 Wayland, X11, XDamage, XDBE, Xft, MPD, MOC, math, hddtemp, portmon,
 wireless, ncurses, apcupsd, I/O stats, argb and Lua.

Package: conky-cli
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends}
Suggests: apcupsd, moc, mpd
Conflicts: conky-all, conky-std
Replaces: conky-all, conky-std
Provides: conky
Description: highly configurable system monitor (basic version)
 Conky is a system monitor that can display just about anything,
 either on your root desktop or in its own window.
 Conky has many built-in objects, as well as the ability to execute
 external programs or scripts (either external or through built-in
 Lua support).
 .
 This is a basic package that can be useful in servers or piped with dzen2.
 It includes the following support:
 .
 MPD, MOC, math, apcupsd, ncurses and I/O stats.

Package: conky-all
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends}
Suggests: apcupsd, audacious, moc, mpd
Conflicts: conky-cli, conky-std
Replaces: conky-cli, conky-std
Provides: conky
Description: highly configurable system monitor (all features enabled)
 Conky is a system monitor that can display just about anything,
 either on your root desktop or in its own window.
 Conky has many built-in objects, as well as the ability to execute
 external programs or scripts (either external or through built-in
 Lua support).
 .
 This is a full conky with most compile options enabled:
 .
 Wayland, X11, XDamage, XDBE, Xft, MPD, MOC, math, hddtemp, portmon, RSS,
 Weather, wireless, IBM, nvidia, eve-online, Imlib2,
 apcupsd, I/O stats, argb, Lua and the cairo and imlib2 Lua bindings,
 Audacious, PulseAudio, iCal, iconv, IRC, and systemd journal.
