## conky 1.21.0

=== CMakeLists.txt ===
--- 
+++ 
@@ -43,6 +43,11 @@
 
 set(conky_sources ${CMAKE_BINARY_DIR}/config.h ${CMAKE_BINARY_DIR}/build.h)
 
+# Include 3rdparty toluapp
+add_subdirectory(3rdparty)
+add_subdirectory(3rdparty/toluapp)
+set(conky_libs ${conky_libs} toluapp_lib_static)
+
 # Finally, add some code
 add_subdirectory(lua)
 add_subdirectory(data)
@@ -51,10 +56,6 @@
 if(BUILD_EXTRAS)
   add_subdirectory(extras)
 endif(BUILD_EXTRAS)
-
-# Include 3rdparty toluapp
-add_subdirectory(3rdparty/toluapp)
-set(conky_libs ${conky_libs} toluapp_lib_static)
 
 if(BUILD_TESTS)
   if(CODE_COVERAGE)
