=== debian/changelog ===
conky (1.21.0-2) unstable; urgency=medium

  * Prevent installation of vendored libvc. (Closes: #1071006)

 -- Vincent Cheng <vcheng@debian.org>  Mon, 13 May 2024 02:01:03 -0700

conky (1.21.0-1) unstable; urgency=medium

  * New upstream release.
    - Fix conky-cairo_imlib2_helper dependency conditions. (Closes: #1070100)

 -- Vincent Cheng <vcheng@debian.org>  Sun, 12 May 2024 02:22:26 -0700
