=== debian/changelog ===
conky (1.21.1-1) unstable; urgency=medium

  * New upstream release.

 -- Vincent Cheng <vcheng@debian.org>  Sat, 18 May 2024 13:56:53 -0700
