## conky 1.21.2

=== debian/changelog ===
conky (1.21.2-1) unstable; urgency=medium

  * New upstream release.
    - Make dpi_scale match original behavior. (Closes: #1071611)

 -- Vincent Cheng <vcheng@debian.org>  Fri, 31 May 2024 17:19:07 -0700
