## conky 1.21.3

=== debian/changelog ===
conky (1.21.3-1) unstable; urgency=medium

  * New upstream release.

 -- Vincent Cheng <vcheng@debian.org>  Mon, 17 Jun 2024 17:21:45 -0700
