=== debian/changelog ===
conky (1.21.4-1) unstable; urgency=medium

  * New upstream release.

 -- Vincent Cheng <vcheng@debian.org>  Sat, 06 Jul 2024 16:51:01 -0700
