=== debian/control ===
--- 
+++ 
@@ -102,6 +102,6 @@
  This is a full conky with most compile options enabled:
  .
  Wayland, X11, XDamage, XDBE, Xft, MPD, MOC, math, hddtemp, portmon, RSS,
- Weather, wireless, IBM, nvidia, eve-online, Imlib2,
- apcupsd, I/O stats, argb, Lua and the cairo and imlib2 Lua bindings,
- Audacious, PulseAudio, iCal, iconv, IRC, and systemd journal.
+ wireless, IBM, nvidia, Imlib2, apcupsd, I/O stats, argb, Lua and the cairo
+ and imlib2 Lua bindings, Audacious, PulseAudio, iCal, iconv, IRC, and systemd
+ journal.
