## conky 1.21.5

=== debian/changelog ===
conky (1.21.5-1) unstable; urgency=medium

  * New upstream release.

 -- Vincent Cheng <vcheng@debian.org>  Sat, 27 Jul 2024 02:51:45 -0700
