## conky 1.21.6

=== src/CMakeLists.txt ===
--- 
+++ 
@@ -20,6 +20,9 @@
 
 include_directories(${conky_includes})
 
+# always include the binary dir
+include_directories(${CMAKE_CURRENT_BINARY_DIR})
+
 if(BUILD_BUILTIN_CONFIG OR BUILD_OLD_CONFIG)
   # include config output dir
   include_directories(${CMAKE_BINARY_DIR}/data)
@@ -47,22 +50,17 @@
   )
 endif(EXISTS ${CMAKE_CURRENT_SOURCE_DIR}/defconfig.h)
 
-# Generate colour-names.cc with gperf
-if(APP_GPERF)
-  execute_process(
-    INPUT_FILE "${CMAKE_SOURCE_DIR}/data/color-names.yml"
-    OUTPUT_FILE "${CMAKE_BINARY_DIR}/data/color-names.gperf"
-    COMMAND sh "${CMAKE_SOURCE_DIR}/bin/format-colors.sh"
-  )
-  execute_process(
-    INPUT_FILE "${CMAKE_BINARY_DIR}/data/color-names.gperf"
-    OUTPUT_FILE "${CMAKE_BINARY_DIR}/colour-names.cc"
-    COMMAND ${APP_GPERF} --ignore-case -LC++ -Zcolor_name_hash -t -7 -m1 -C -E
-  )
-else(APP_GPERF)
-  message(WARNING "'gperf' program not found, using stub colour-names.cc; colors names will not be parsed")
-  configure_file("${CMAKE_CURRENT_SOURCE_DIR}/colour-names-stub.cc" "${CMAKE_BINARY_DIR}/colour-names.cc" COPYONLY)
-endif(APP_GPERF)
+# Generate colour-names.hh with gperf
+execute_process(
+  INPUT_FILE "${CMAKE_SOURCE_DIR}/data/color-names.yml"
+  OUTPUT_FILE "${CMAKE_BINARY_DIR}/data/color-names.gperf"
+  COMMAND sh "${CMAKE_SOURCE_DIR}/bin/format-colors.sh"
+)
+execute_process(
+  INPUT_FILE "${CMAKE_BINARY_DIR}/data/color-names.gperf"
+  OUTPUT_FILE "${CMAKE_CURRENT_BINARY_DIR}/colour-names.hh"
+  COMMAND ${APP_GPERF} --ignore-case -LC++ -Zcolor_name_hash -t -7 -m1 -C -E
+)
 
 set(conky_sources
   ${conky_sources}
@@ -253,7 +251,7 @@
 
 if(BUILD_X11)
   set(x11
-    display-x11.cc 
+    display-x11.cc
     display-x11.hh
     x11-settings.cc
     x11-settings.h
@@ -274,11 +272,10 @@
   endif(BUILD_MOUSE_EVENTS OR BUILD_XINPUT)
 endif(BUILD_GUI)
 
-
 if(BUILD_WAYLAND)
   set(wl_srcs
     wl.cc
-    wl.h 
+    wl.h
     display-wayland.cc
     display-wayland.hh
     xdg-shell-protocol.c
@@ -304,9 +301,6 @@
     OUTPUT ${CMAKE_CURRENT_BINARY_DIR}/wlr-layer-shell-protocol.c
     COMMAND ${Wayland_SCANNER} private-code ${WLR_LAYER_SHELL_PROT_DEF} wlr-layer-shell-protocol.c
     DEPENDS wlr-layer-shell-client-protocol.h)
-
-  # include output dir in include path
-  include_directories(${CMAKE_CURRENT_BINARY_DIR})
 endif(BUILD_WAYLAND)
 
 if(BUILD_HDDTEMP)
@@ -356,10 +350,10 @@
 
 if(BUILD_NCURSES)
   set(ncurses_srcs
-  nc.cc
-  nc.h
-  display-ncurses.cc
-  display-ncurses.hh
+    nc.cc
+    nc.h
+    display-ncurses.cc
+    display-ncurses.hh
   )
   set(optional_sources ${optional_sources} ${ncurses_srcs})
 endif(BUILD_NCURSES)
