=== debian/changelog ===
conky (1.21.6-1) unstable; urgency=medium

  * New upstream release.

 -- Vincent Cheng <vcheng@debian.org>  Tue, 13 Aug 2024 08:16:36 -0700
